# npm-react-typescript-template

A template for publishing a React + TypeScript package to npm

## How to use

To compile your code once, run

- `npm run build`.

To compile your code once and refresh on file change, run

- `npm run start`.

To publish your package to npm, make sure you're logged in the correct account by running

- `npm login`.

Compile your package by running

- `npm run build`

Move to dist folder:

- `cp dist`

Update the package version accordingly by using

- [`npm version [patch | minor | major]`](https://docs.npmjs.com/about-semantic-versioning)

Then publish your package by running

- `npm publish`

### How to build in local
In this package folder
- `cp dist`
- `yarn link`

Go to codebase using this package
- `yarn link typescript-react-table-custom`


