import { r as react } from './index-80be40fc.js';

/**
 * @ignore - internal component.
 */

const FormControlContext = /*#__PURE__*/react.createContext();

if (process.env.NODE_ENV !== 'production') {
  FormControlContext.displayName = 'FormControlContext';
}

function useFormControl() {
  return react.useContext(FormControlContext);
}

export { FormControlContext as F, useFormControl as u };
//# sourceMappingURL=FormControlContext-2e6ffe8b.js.map
