import { jsx } from 'react/jsx-runtime';
import { useState, useEffect } from 'react';
import AppAsyncPaginateSelect from '../../Autocomplete/AppAsyncPaginateSelect.js';
import '../../tslib.es6-a941f97f.js';
import '../../extends-e61fd370.js';
import '../../emotion-react.esm-10db94ea.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../_commonjsHelpers-41cdd1e7.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../slicedToArray-9e59c773.js';
import '../../setPrototypeOf-38804714.js';
import '../../toConsumableArray-14d095fd.js';
import 'react-dom';
import '../../ArrowDropDown-94d53692.js';
import '../../createSvgIcon-08f23b3f.js';
import '../../createSvgIcon-141865d4.js';
import '../../clsx.m-6243b874.js';
import '../../ownerWindow-511cbe55.js';
import '../../ownerDocument-08286491.js';
import '../../requirePropFactory-762b28b9.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../Clear-7316bc39.js';
import '../../config-2233d325.js';
import '../../FormHelperText-9aa7662f.js';
import '../../utils-a2178b2f.js';
import '../../FormControlContext-3e99c910.js';
import '../../useFormControl-5a78d430.js';
import '../../InputLabel-dec1cb11.js';
import '../../IconButton-ccfdb4cc.js';
import '../../refType-2daf2908.js';
import '../../ButtonBase-fe35ba23.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';

function AsyncAutoColumnFilter(props) {
    var column = props.column, fetchDataFn = props.fetchDataFn, title = props.title, _a = props.valueKey, valueKey = _a === void 0 ? 'id' : _a, _b = props.labelKey, labelKey = _b === void 0 ? 'name' : _b, getDefaultOptionFn = props.getDefaultOptionFn;
    var label = title || column.Header || column.id || '';
    var filterValue = column.filterValue, setFilter = column.setFilter;
    var _c = useState(null), value = _c[0], setValue = _c[1];
    useEffect(function () {
        if (!filterValue) {
            setValue(null);
        }
    }, [filterValue]);
    useEffect(function () {
        if (filterValue) {
            getDefaultOptionFn(filterValue).then(function (data) {
                var _a;
                var _b;
                var newVar = ((_b = data) === null || _b === void 0 ? void 0 : _b[labelKey]) || '';
                setValue((_a = {},
                    _a[valueKey] = filterValue,
                    _a[labelKey] = newVar,
                    _a));
            });
        }
    }, []);
    return (jsx(AppAsyncPaginateSelect, { className: 'text-4', fetchDataFn: fetchDataFn, value: value, setValue: function (option) {
            setFilter((option === null || option === void 0 ? void 0 : option[valueKey]) || undefined);
            setValue(option);
        }, valueKey: valueKey, labelKey: labelKey, label: label, placeholder: 'ALL' }, void 0));
}

export default AsyncAutoColumnFilter;
//# sourceMappingURL=AsyncAutoColumnFilter.js.map
