import { c as __rest, _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import AppSelectField from '../../TextField/AppSelectField.js';
import { C as ClearIcon } from '../../Clear-7316bc39.js';
import { s as styleInject } from '../../style-inject.es-1f59c1d0.js';
import { c as clsx } from '../../clsx.m-6243b874.js';
import { I as InputAdornment } from '../../InputAdornment-081652f9.js';
import { I as IconButton } from '../../IconButton-ccfdb4cc.js';
import 'react';
import '../../TextField/AppTextField.js';
import '../../TextField-41fe2395.js';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../_commonjsHelpers-41cdd1e7.js';
import '../../withStyles-6a29793a.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../FormHelperText-9aa7662f.js';
import '../../utils-a2178b2f.js';
import '../../FormControlContext-3e99c910.js';
import '../../createSvgIcon-141865d4.js';
import '../../useFormControl-5a78d430.js';
import '../../InputLabel-dec1cb11.js';
import '../../Popover-16e53fc0.js';
import '../../ownerDocument-08286491.js';
import '../../isHostComponent-7b82e20e.js';
import '../../ownerWindow-511cbe55.js';
import '../../Grow-144e5c05.js';
import 'react-dom';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';
import '../../Input-505624cb.js';
import '../../InputBase-ac030ecb.js';
import '../../emotion-react.esm-10db94ea.js';
import '../../MenuItem-16e73a5b.js';
import '../../ButtonBase-fe35ba23.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../createSvgIcon-08f23b3f.js';
import '../../requirePropFactory-762b28b9.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../Typography-cbcc1b4d.js';
import '../../extendSxProp-f37d7304.js';

var css_248z = ".SelectColumnFilter-module_inputBase__2skh1 .SelectColumnFilter-module_inputAdorned__3t2Qp {\n  display: none;\n  position: absolute;\n  right: 25px; }\n  .SelectColumnFilter-module_inputBase__2skh1 .SelectColumnFilter-module_inputAdorned__3t2Qp .SelectColumnFilter-module_inputIcon__3PZYs {\n    padding: 3px;\n    width: 24px;\n    height: 24px; }\n  .SelectColumnFilter-module_inputBase__2skh1 .SelectColumnFilter-module_inputAdorned__3t2Qp svg {\n    font-size: 18px; }\n\n.SelectColumnFilter-module_inputBase__2skh1:hover .SelectColumnFilter-module_inputAdorned__3t2Qp {\n  display: flex; }\n\n.SelectColumnFilter-module_inputBase__2skh1 .Mui-focused .inputAdorned {\n  display: flex; }\n";
var styles = {"inputBase":"SelectColumnFilter-module_inputBase__2skh1","inputAdorned":"SelectColumnFilter-module_inputAdorned__3t2Qp","inputIcon":"SelectColumnFilter-module_inputIcon__3PZYs"};
styleInject(css_248z);

function SelectColumnFilter(props) {
    var column = props.column, title = props.title, options = props.options, otherProps = __rest(props, ["column", "title", "options"]);
    var filterValue = column.filterValue, setFilter = column.setFilter, Header = column.Header, id = column.id;
    return (jsx(AppSelectField, __assign({ filterValue: filterValue, setFilter: setFilter, options: options, placeholder: 'ALL', label: title || Header || id, classes: {
            root: styles.inputBase,
        }, InputProps: {
            endAdornment: filterValue && (jsx(InputAdornment, __assign({ className: clsx(styles.inputAdorned), position: "end" }, { children: jsx(IconButton, __assign({ className: styles.inputIcon, onClick: function () { return setFilter(undefined); }, title: 'Clear', tabIndex: -1 }, { children: jsx(ClearIcon, {}, void 0) }), void 0) }), void 0)),
        } }, otherProps), void 0));
}

export default SelectColumnFilter;
//# sourceMappingURL=SelectColumnFilter.js.map
