import React from 'react';
import { TableOptions } from 'react-table';
declare type Props<T extends {
    id?: string;
}> = TableOptions<T> & {
    toolbarItems?: React.ReactElement;
    useSelection?: boolean;
    readonly localStorageKey: string;
    rightClickMenu?: React.ReactElement;
    useBlockingOverlay?: boolean;
    overlayConfig?: {
        displayFullscreen?: boolean;
    };
    alignItemsCenter?: boolean;
    hasGlobalSearch?: boolean;
};
declare const LocalTable: <T extends Record<string, any>>(props: Props<T>) => JSX.Element;
export default LocalTable;
