import { d as __spreadArray, _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import React from 'react';
import { r as reactTable } from '../index-b6c1b619.js';
import { s as styles } from '../EnhancedTable.module-3f17e3a7.js';
import { c as clsx } from '../clsx.m-6243b874.js';
import selectionHook from './plugins/selectionHook.js';
import { T as Table, a as TableHead, b as TableRow, c as TableCell, d as TableBody } from '../TableRow-044d78e4.js';
import '../_commonjsHelpers-41cdd1e7.js';
import '../style-inject.es-1f59c1d0.js';
import '../Checkbox/AppCheckBox.js';
import '../createSvgIcon-08f23b3f.js';
import '../createSvgIcon-141865d4.js';
import '../extends-e61fd370.js';
import '../objectWithoutPropertiesLoose-6856ddd5.js';
import '../index-df27ca20.js';
import '../experimentalStyled-9a0c9477.js';
import '../ownerWindow-511cbe55.js';
import '../ownerDocument-08286491.js';
import '../requirePropFactory-762b28b9.js';
import '../useId-9539b538.js';
import '../unsupportedProp-90079dce.js';
import '../useIsFocusVisible-7eb97459.js';
import '../makeStyles-5b784462.js';
import '../makeStyles-3f0becbd.js';
import '../tiny-warning.esm-9caf1e37.js';
import '../toConsumableArray-14d095fd.js';
import '../inheritsLoose-8d9312ec.js';
import '../setPrototypeOf-38804714.js';
import '../assertThisInitialized-d8516fd7.js';
import '../exactProp-2b7ae831.js';
import '../Checkbox-31af756d.js';
import '../SwitchBase-1231cda4.js';
import '../useFormControl-5a78d430.js';
import '../FormControlContext-3e99c910.js';
import '../IconButton-ccfdb4cc.js';
import '../refType-2daf2908.js';
import '../ButtonBase-fe35ba23.js';
import '../emotion-react.esm-10db94ea.js';
import '../hoist-non-react-statics.cjs-887936b4.js';
import '../TransitionGroupContext-99ee4842.js';
import '../elementTypeAcceptingRef-58d95132.js';
import '../constants-cdb4cae7.js';

var SimpleLocalTable = function (props) {
    var columns = props.columns, data = props.data;
    var _a = reactTable.useTable.apply(void 0, __spreadArray([{
            columns: columns,
            data: data,
        }, reactTable.useFilters,
        reactTable.useSortBy], (props.useSelection ? [reactTable.useRowSelect, selectionHook] : []))), getTableProps = _a.getTableProps, getTableBodyProps = _a.getTableBodyProps, headerGroups = _a.headerGroups, rows = _a.rows, prepareRow = _a.prepareRow;
    return (jsx("div", __assign({ className: styles.tableBodyScroll }, { children: jsxs(Table, __assign({}, getTableProps(), { children: [jsx(TableHead, { children: headerGroups.map(function (headerGroup, index) { return (jsx(TableRow, __assign({}, headerGroup.getHeaderGroupProps(), { children: headerGroup.headers.map(function (column, index) {
                            return (jsx(TableCell, __assign({}, column.getHeaderProps(column.getSortByToggleProps()), { children: jsxs("span", __assign({ className: styles.headerCell }, { children: [jsx("span", { children: column.render('Header') }, void 0),
                                        column.canSort && (jsx("span", __assign({ className: styles.sortColumn }, { children: column.isSorted ? (column.isSortedDesc ? (jsx("span", { className: styles.down }, void 0)) : (jsx("span", { className: styles.up }, void 0))) : (jsxs(React.Fragment, { children: [jsx("span", { className: styles.up }, void 0),
                                                    jsx("span", { className: styles.down }, void 0)] }, void 0)) }), void 0))] }), void 0) }), void 0));
                        }) }), void 0)); }) }, void 0),
                jsx(TableBody, __assign({}, getTableBodyProps(), { children: rows.map(function (row, i) {
                        prepareRow(row);
                        return (jsx(TableRow, __assign({}, row.getRowProps(), { className: clsx(row.isSelected && styles.selected) }, { children: row.cells.map(function (cell) {
                                return (jsx(TableCell, __assign({}, cell.getCellProps(), { children: cell.render('Cell') }), void 0));
                            }) }), void 0));
                    }) }), void 0)] }), void 0) }), void 0));
};

export default SimpleLocalTable;
//# sourceMappingURL=SimpleLocalTable.js.map
