import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import React, { useState } from 'react';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import { g as getDefaultExportFromCjs, c as createCommonjsModule } from '../../_commonjsHelpers-41cdd1e7.js';
import { i as interopRequireWildcard, a as interopRequireDefault, c as createSvgIcon } from '../../createSvgIcon-08f23b3f.js';
import { c as clsx } from '../../clsx.m-6243b874.js';
import { a as Popover } from '../../Popover-16e53fc0.js';
import { B as Button } from '../../Button-05f9d041.js';
import '../../style-inject.es-1f59c1d0.js';
import '../../createSvgIcon-141865d4.js';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../ownerWindow-511cbe55.js';
import '../../ownerDocument-08286491.js';
import '../../requirePropFactory-762b28b9.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../withStyles-6a29793a.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../isHostComponent-7b82e20e.js';
import '../../Grow-144e5c05.js';
import 'react-dom';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';
import '../../ButtonBase-fe35ba23.js';
import '../../emotion-react.esm-10db94ea.js';

var FilterAlt = createCommonjsModule(function (module, exports) {





Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React$1 = interopRequireWildcard(React);

var _createSvgIcon = interopRequireDefault(createSvgIcon);

var _default = (0, _createSvgIcon.default)( /*#__PURE__*/React$1.createElement("path", {
  d: "M4.25 5.61C6.27 8.2 10 13 10 13v6c0 .55.45 1 1 1h2c.55 0 1-.45 1-1v-6s3.72-4.8 5.74-7.39c.51-.66.04-1.61-.79-1.61H5.04c-.83 0-1.3.95-.79 1.61z"
}), 'FilterAlt');

exports.default = _default;
});

var AppFilterIcon = /*@__PURE__*/getDefaultExportFromCjs(FilterAlt);

var FilterBox = function (props) {
    var _a = props.instance, allColumns = _a.allColumns, state = _a.state, setAllFilters = _a.setAllFilters;
    var filterLength = state.filters.length;
    var hasFilter = !!allColumns.filter(function (column) { return column.filter; }).length;
    var _b = React.useState(null), anchorEl = _b[0], setAnchorEl = _b[1];
    var _c = useState(true), hidden = _c[0], setHidden = _c[1];
    var handleClick = function (event) {
        setAnchorEl(event.currentTarget);
        setHidden(false);
    };
    var handleClose = function () {
        setHidden(true);
    };
    function resetFilter() {
        setAllFilters([]);
    }
    var open = Boolean(anchorEl);
    return hasFilter ? (jsxs(React.Fragment, { children: [jsxs("span", __assign({ className: styles.action, onClick: handleClick }, { children: [jsx(AppFilterIcon, { className: styles.iconFilter }, void 0),
                    jsxs("span", { children: ["FILTER ", filterLength > 0 && '(' + filterLength + ')'] }, void 0)] }), void 0),
            jsx(Popover, __assign({ className: clsx(hidden && 'hidden'), open: open, anchorEl: anchorEl, onClose: handleClose, anchorOrigin: {
                    vertical: 'bottom',
                    horizontal: 'left',
                }, transformOrigin: {
                    vertical: 'top',
                    horizontal: 'left',
                } }, { children: jsxs("div", __assign({ className: clsx(styles.popover, styles.filterPopover) }, { children: [jsxs("div", __assign({ className: styles.filterLabel }, { children: [jsxs("span", { children: ["Applied Filters: ", jsx("strong", { children: filterLength }, void 0), ' '] }, void 0),
                                filterLength > 0 && (jsx(Button, __assign({ className: styles.resetBtn, onClick: resetFilter, variant: "contained", color: 'primary' }, { children: "Remove" }), void 0))] }), void 0),
                        jsx("div", __assign({ className: styles.filterContent }, { children: allColumns
                                .filter(function (columns) { return columns.filter; })
                                .sort(function (a, b) {
                                var x = a.filterOrder || 0;
                                var y = b.filterOrder || 0;
                                return !x - !y || +(x > y) || -(x < y);
                            })
                                .map(function (column) { return (jsx("div", __assign({ className: styles.filterItem }, { children: column.render('Filter') }), column.id)); }) }), void 0)] }), void 0) }), void 0)] }, void 0)) : null;
};
var FilterBox$1 = React.memo(FilterBox);

export default FilterBox$1;
//# sourceMappingURL=FilterBox.js.map
