import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import { c as clsx } from '../../clsx.m-6243b874.js';
import useCloseActionMenu from './useCloseActionMenu.js';
import { M as MenuItem } from '../../connectMenu-7261791b.js';
import '../../index-df27ca20.js';
import { T as Tooltip } from '../../Tooltip-73d2407b.js';
import '../../style-inject.es-1f59c1d0.js';
import 'react';
import './TableActionMenuContext.js';
import '../../_commonjsHelpers-41cdd1e7.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../extends-e61fd370.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../useId-9539b538.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../Grow-144e5c05.js';
import 'react-dom';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../TransitionGroupContext-99ee4842.js';
import '../../Popper-2961f154.js';
import '../../ownerDocument-08286491.js';

var TableActionItem = function (props) {
    var _a;
    var closeActionMenu = useCloseActionMenu();
    function render() {
        return (jsx("div", __assign({ onClick: closeActionMenu, className: clsx(!props.noWrapper && styles.tab) }, { children: props.children }), void 0));
    }
    return (jsx(MenuItem, __assign({ className: "no-focus" }, { children: props.disabled ? (jsx(Tooltip, __assign({ className: styles.disableTab, onClickCapture: function (event) {
                event.preventDefault();
                event.stopPropagation();
                return;
            }, title: (_a = props.title) !== null && _a !== void 0 ? _a : 'Please select some items in table' }, { children: render() }), void 0)) : (render()) }), void 0));
};

export default TableActionItem;
//# sourceMappingURL=TableActionItem.js.map
