import React from 'react';
import { Row } from 'react-table';
declare type Props = {
    row: Row<any>;
    previousRow: Row | null;
    setPreviousRow: (value: Row | null) => void;
    toggleAllRowsSelected: (value?: boolean) => void;
    rows: Array<Row<any>>;
};
declare const RowSelectable: React.ComponentType<Props & Partial<Pick<import("react-selectable-fast").TSelectableItemProps, "isSelected">>>;
export default RowSelectable;
