import { d as __spreadArray, _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import AppCheckBox from '../../Checkbox/AppCheckBox.js';
import { S as SELECTION_COLUMN_ID } from '../../constants-cdb4cae7.js';
import '../../_commonjsHelpers-41cdd1e7.js';
import '../../createSvgIcon-08f23b3f.js';
import '../../createSvgIcon-141865d4.js';
import 'react';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../clsx.m-6243b874.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../ownerWindow-511cbe55.js';
import '../../ownerDocument-08286491.js';
import '../../requirePropFactory-762b28b9.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../makeStyles-5b784462.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../Checkbox-31af756d.js';
import '../../SwitchBase-1231cda4.js';
import '../../useFormControl-5a78d430.js';
import '../../FormControlContext-3e99c910.js';
import '../../IconButton-ccfdb4cc.js';
import '../../refType-2daf2908.js';
import '../../ButtonBase-fe35ba23.js';
import '../../emotion-react.esm-10db94ea.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';

var selectionHook = (function (hooks) {
    hooks.allColumns.push(function (columns) { return __spreadArray([
        {
            id: SELECTION_COLUMN_ID,
            disableResizing: true,
            disableGroupBy: true,
            minWidth: 48,
            width: 48,
            maxWidth: 48,
            sticky: 'left',
            isStable: true,
            Header: function (_a) {
                var getToggleAllRowsSelectedProps = _a.getToggleAllRowsSelectedProps;
                return (jsx(AppCheckBox, __assign({ className: "p-14", tabIndex: -1 }, getToggleAllRowsSelectedProps()), void 0));
            },
            Cell: function (_a) {
                var row = _a.row;
                return (jsx(AppCheckBox, { className: "p-14", tabIndex: -1, checked: row.isSelected, onChange: function (event) {
                        row.toggleRowSelected(event.target.checked);
                    } }, void 0));
            },
            disableSortBy: true,
        }
    ], columns); });
});

export default selectionHook;
//# sourceMappingURL=selectionHook.js.map
