import { c as __rest, _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import React from 'react';
import AppTextField from './AppTextField.js';
import { M as MenuItem } from '../MenuItem-16e73a5b.js';
import '../style-inject.es-1f59c1d0.js';
import '../TextField-41fe2395.js';
import '../extends-e61fd370.js';
import '../objectWithoutPropertiesLoose-6856ddd5.js';
import '../index-df27ca20.js';
import '../_commonjsHelpers-41cdd1e7.js';
import '../clsx.m-6243b874.js';
import '../withStyles-6a29793a.js';
import '../experimentalStyled-9a0c9477.js';
import '../hoist-non-react-statics.cjs-887936b4.js';
import '../makeStyles-3f0becbd.js';
import '../tiny-warning.esm-9caf1e37.js';
import '../toConsumableArray-14d095fd.js';
import '../inheritsLoose-8d9312ec.js';
import '../setPrototypeOf-38804714.js';
import '../assertThisInitialized-d8516fd7.js';
import '../exactProp-2b7ae831.js';
import '../refType-2daf2908.js';
import '../FormHelperText-9aa7662f.js';
import '../utils-a2178b2f.js';
import '../FormControlContext-3e99c910.js';
import '../createSvgIcon-141865d4.js';
import '../useFormControl-5a78d430.js';
import '../InputLabel-dec1cb11.js';
import '../Popover-16e53fc0.js';
import '../ownerDocument-08286491.js';
import '../isHostComponent-7b82e20e.js';
import '../ownerWindow-511cbe55.js';
import '../Grow-144e5c05.js';
import 'react-dom';
import '../TransitionGroupContext-99ee4842.js';
import '../elementTypeAcceptingRef-58d95132.js';
import '../Input-505624cb.js';
import '../InputBase-ac030ecb.js';
import '../emotion-react.esm-10db94ea.js';
import '../ButtonBase-fe35ba23.js';
import '../useIsFocusVisible-7eb97459.js';

function AppSelectField(props) {
    var label = props.label, filterValue = props.filterValue, setFilter = props.setFilter, _a = props.valueKey, valueKey = _a === void 0 ? 'id' : _a, _b = props.labelKey, labelKey = _b === void 0 ? 'name' : _b, textProp = __rest(props, ["label", "filterValue", "setFilter", "valueKey", "labelKey"]);
    var options = props.options;
    if (Array.isArray(options)) {
        options = options.reduce(function (obj, item) {
            if (item[valueKey]) {
                obj[item[valueKey]] = item[labelKey];
            }
            else {
                obj[item] = item;
            }
            return obj;
        }, {});
    }
    return (jsx(React.Fragment, { children: jsxs(AppTextField, __assign({ select: true, fullWidth: true, label: label, InputLabelProps: { shrink: true }, value: filterValue === undefined ? 'none' : filterValue, onChange: function (e) {
                var value = e.target.value === 'none' ? undefined : e.target.value;
                setFilter(value);
            }, SelectProps: {
                MenuProps: {
                    anchorOrigin: {
                        vertical: 'bottom',
                        horizontal: 'left',
                    },
                    getContentAnchorEl: null,
                },
            } }, textProp, { children: [textProp.placeholder && (jsx(MenuItem, __assign({ className: props.className, style: { opacity: 0.5 }, value: "none" }, { children: textProp.placeholder }), void 0)),
                Object.keys(options).map(function (value) { return (jsx(MenuItem, __assign({ className: props.className, value: value }, { children: options[value] }), value)); })] }), void 0) }, void 0));
}

export default AppSelectField;
//# sourceMappingURL=AppSelectField.js.map
