import { p as propTypes } from './index-df27ca20.js';

function chainPropTypes(propType1, propType2) {
  if (process.env.NODE_ENV === 'production') {
    return () => null;
  }

  return function validate(...args) {
    return propType1(...args) || propType2(...args);
  };
}

const refType = propTypes.oneOfType([propTypes.func, propTypes.object]);

export { chainPropTypes as c, refType as r };
//# sourceMappingURL=refType-2daf2908.js.map
