import { ConfigType, OpUnitType } from 'dayjs';
export declare function getDate(date?: ConfigType): string | null;
export declare function getDateFromUTC(date?: ConfigType): string | null;
export declare function getDateTimeForTextField(date?: ConfigType): string;
export declare function getDateTimeForTextFieldUTC(date?: ConfigType): string;
export declare function getDateForTextField(date?: ConfigType): string;
export declare function getDateType(date?: ConfigType): string;
export declare function getYearTextField(date?: ConfigType): string;
export declare function getDatabaseFormatDate(date?: ConfigType): string | null;
export declare function getDatabaseFormatDateTime(date?: ConfigType): string;
export declare function getDatabaseFormatDateTimeInUTC(date?: ConfigType): string | null;
export declare function getDatabaseFormatDateTimeInLocal(date?: ConfigType): string | null;
export declare function getDatabaseFormatType(date?: ConfigType, type?: string): string;
export declare function getDateTime(date?: ConfigType): string | null;
export declare function getDiffTime(date?: ConfigType): string;
export declare function getDateFromAddedDuration(config: {
    duration: number;
    unit: OpUnitType;
}, date?: ConfigType): string;
export declare function isStringISOTimestamp(date: string): boolean;
export declare function getDiffDay(date?: ConfigType): string;
