import { c as __rest, _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import AppAutocomplete from './AppAutocomplete.js';
import { a as useFormikContext } from '../formik.esm-06fc6bc4.js';
import { g as get_1 } from '../get-fc89bca9.js';
import '../TextField/AppTextField.js';
import '../style-inject.es-1f59c1d0.js';
import '../TextField-41fe2395.js';
import '../extends-e61fd370.js';
import '../objectWithoutPropertiesLoose-6856ddd5.js';
import 'react';
import '../index-df27ca20.js';
import '../_commonjsHelpers-41cdd1e7.js';
import '../clsx.m-6243b874.js';
import '../withStyles-6a29793a.js';
import '../experimentalStyled-9a0c9477.js';
import '../hoist-non-react-statics.cjs-887936b4.js';
import '../makeStyles-3f0becbd.js';
import '../tiny-warning.esm-9caf1e37.js';
import '../toConsumableArray-14d095fd.js';
import '../inheritsLoose-8d9312ec.js';
import '../setPrototypeOf-38804714.js';
import '../assertThisInitialized-d8516fd7.js';
import '../exactProp-2b7ae831.js';
import '../refType-2daf2908.js';
import '../FormHelperText-9aa7662f.js';
import '../utils-a2178b2f.js';
import '../FormControlContext-3e99c910.js';
import '../createSvgIcon-141865d4.js';
import '../useFormControl-5a78d430.js';
import '../InputLabel-dec1cb11.js';
import '../Popover-16e53fc0.js';
import '../ownerDocument-08286491.js';
import '../isHostComponent-7b82e20e.js';
import '../ownerWindow-511cbe55.js';
import '../Grow-144e5c05.js';
import 'react-dom';
import '../TransitionGroupContext-99ee4842.js';
import '../elementTypeAcceptingRef-58d95132.js';
import '../Input-505624cb.js';
import '../InputBase-ac030ecb.js';
import '../emotion-react.esm-10db94ea.js';
import '../Autocomplete-5b4467ca.js';
import '../IconButton-ccfdb4cc.js';
import '../ButtonBase-fe35ba23.js';
import '../useIsFocusVisible-7eb97459.js';
import '../Popper-2961f154.js';
import '../useId-9539b538.js';
import '../unsupportedProp-90079dce.js';
import '../_MapCache-a3d3cd04.js';

var AppValidateAutocomplete = function (props) {
    var options = props.options, name = props.name, textField = props.textField, _a = props.valueKey, valueKey = _a === void 0 ? 'id' : _a, autoProps = __rest(props, ["options", "name", "textField", "valueKey"]);
    var _b = useFormikContext(), setFieldValue = _b.setFieldValue, touched = _b.touched, values = _b.values, errors = _b.errors, setFieldTouched = _b.setFieldTouched;
    return (jsx(AppAutocomplete, __assign({ options: options, value: options.find(function (item) { return item[valueKey] === get_1(values, name); }), onChange: function (event, newValue) {
            if (typeof newValue === 'object' && !Array.isArray(newValue)) {
                setFieldValue(name, (newValue === null || newValue === void 0 ? void 0 : newValue[valueKey]) || '');
            }
        }, textField: __assign({ helperText: get_1(touched, name) && get_1(errors, name), error: !!get_1(touched, name) && !!get_1(errors, name), onBlur: function () {
                setFieldTouched(name, true);
            } }, textField) }, autoProps), void 0));
};

export default AppValidateAutocomplete;
//# sourceMappingURL=AppValidateAutocomplete.js.map
