import { _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { r as reactTable } from '../index-b6c1b619.js';
import { s as styles } from '../EnhancedTable.module-3f17e3a7.js';
import { c as clsx } from '../clsx.m-6243b874.js';
import { K as KeyboardArrowDownIcon } from '../KeyboardArrowDown-53cd5576.js';
import { K as KeyboardArrowRightIcon } from '../KeyboardArrowRight-48df2583.js';
import { T as Table, a as TableHead, b as TableRow, c as TableCell, d as TableBody } from '../TableRow-044d78e4.js';
import '../_commonjsHelpers-41cdd1e7.js';
import 'react';
import '../style-inject.es-1f59c1d0.js';
import '../createSvgIcon-08f23b3f.js';
import '../createSvgIcon-141865d4.js';
import '../extends-e61fd370.js';
import '../objectWithoutPropertiesLoose-6856ddd5.js';
import '../index-df27ca20.js';
import '../experimentalStyled-9a0c9477.js';
import '../ownerWindow-511cbe55.js';
import '../ownerDocument-08286491.js';
import '../requirePropFactory-762b28b9.js';
import '../useId-9539b538.js';
import '../unsupportedProp-90079dce.js';
import '../useIsFocusVisible-7eb97459.js';

var AggressionTable = function (props) {
    var columns = props.columns, data = props.data;
    var _a = reactTable.useTable({
        columns: columns,
        data: data,
        autoResetExpanded: false,
        initialState: {
            groupBy: [props.defaultGroupBy || ''],
        },
    }, reactTable.useGroupBy, reactTable.useExpanded), getTableProps = _a.getTableProps, getTableBodyProps = _a.getTableBodyProps, headerGroups = _a.headerGroups, rows = _a.rows, prepareRow = _a.prepareRow;
    return (jsx("div", __assign({ className: clsx(styles.tableBodyScroll, styles.groupBy) }, { children: jsxs(Table, __assign({}, getTableProps(), { children: [jsx(TableHead, { children: headerGroups.map(function (headerGroup, index) { return (jsx(TableRow, __assign({}, headerGroup.getHeaderGroupProps(), { children: headerGroup.headers.map(function (column, index) {
                            return (jsx(TableCell, __assign({}, column.getHeaderProps(), { children: jsx("span", __assign({ className: styles.headerCell }, { children: jsx("span", { children: column.render('Header') }, void 0) }), void 0) }), void 0));
                        }) }), void 0)); }) }, void 0),
                jsx(TableBody, __assign({}, getTableBodyProps(), { children: rows.map(function (row, i) {
                        prepareRow(row);
                        return (jsx(TableRow, __assign({}, row.getRowProps(), { className: clsx(row.isSelected && styles.selected) }, { children: row.cells.map(function (cell) {
                                return (jsx(TableCell, __assign({}, cell.getCellProps(), { children: cell.isGrouped ? (jsxs("span", __assign({ className: styles.headerCell }, { children: [jsx("span", __assign({ className: "dflex-center" }, row.getToggleRowExpandedProps(), { children: row.isExpanded ? (jsx(KeyboardArrowDownIcon, {}, void 0)) : (jsx(KeyboardArrowRightIcon, {}, void 0)) }), void 0), ' ', jsx("span", { children: cell.render('Cell') }, void 0)] }), void 0)) : cell.isAggregated ? (cell.render('Aggregated')) : cell.isPlaceholder ? null : (cell.render('Cell')) }), void 0));
                            }) }), void 0));
                    }) }), void 0)] }), void 0) }), void 0));
};

export default AggressionTable;
//# sourceMappingURL=AggressionTable.js.map
