/// <reference types="react" />
import { ColumnInstance } from 'react-table';
import { TPageLoadResponse, TPageParams } from 'AppModels';
declare type Props<T> = {
    column: ColumnInstance<any>;
    title?: string;
    valueKey?: string;
    labelKey?: string;
    fetchDataFn: (search: string, pageParams?: TPageParams) => Promise<TPageLoadResponse<Array<T>>>;
    getDefaultOptionFn: (id: string) => Promise<T>;
};
declare function AsyncAutoColumnFilter<T extends Record<string, any>>(props: Props<T>): JSX.Element;
export default AsyncAutoColumnFilter;
