import { jsx } from 'react/jsx-runtime';
import React, { useState, useEffect } from 'react';
import useDebounce from '../../utils/customHook/useDebounceValue.js';
import '../../ResizeObserver-da68295b.js';
import { T as TextField } from '../../TextField-41fe2395.js';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../_commonjsHelpers-41cdd1e7.js';
import '../../clsx.m-6243b874.js';
import '../../withStyles-6a29793a.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../FormHelperText-9aa7662f.js';
import '../../utils-a2178b2f.js';
import '../../FormControlContext-3e99c910.js';
import '../../createSvgIcon-141865d4.js';
import '../../useFormControl-5a78d430.js';
import '../../InputLabel-dec1cb11.js';
import '../../Popover-16e53fc0.js';
import '../../ownerDocument-08286491.js';
import '../../isHostComponent-7b82e20e.js';
import '../../ownerWindow-511cbe55.js';
import '../../Grow-144e5c05.js';
import 'react-dom';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';
import '../../Input-505624cb.js';
import '../../InputBase-ac030ecb.js';
import '../../emotion-react.esm-10db94ea.js';

function TextColumnFilter(props) {
    var _a = props.column, filterValue = _a.filterValue, setFilter = _a.setFilter, Header = _a.Header, id = _a.id;
    var _b = useState(filterValue || ''), value = _b[0], setValue = _b[1];
    var debouncedSearchValue = useDebounce(value, 500);
    useEffect(function () {
        if ((!filterValue && debouncedSearchValue === '') ||
            filterValue === debouncedSearchValue)
            return;
        setFilter(debouncedSearchValue || undefined);
    }, [debouncedSearchValue]);
    useEffect(function () {
        !filterValue && value !== '' && setValue('');
    }, [filterValue]);
    return (jsx(React.Fragment, { children: jsx(TextField, { fullWidth: true, type: props.type, label: props.title || Header || id, InputLabelProps: { shrink: true }, value: value, placeholder: 'All', onChange: function (e) {
                setValue(e.target.value);
            } }, void 0) }, void 0));
}

export default TextColumnFilter;
//# sourceMappingURL=TextColumnFilter.js.map
