import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import React, { useEffect } from 'react';
import { g as getDatabaseFormatType } from '../../moment-360196ce.js';
import { s as styleInject } from '../../style-inject.es-1f59c1d0.js';
import AppTextField from '../../TextField/AppTextField.js';
import { C as ClearIcon } from '../../Clear-7316bc39.js';
import { D as DatePicker } from '../../DatePicker-b0aa90e9.js';
import { I as IconButton } from '../../IconButton-ccfdb4cc.js';
import '../../clsx.m-6243b874.js';
import '../../createSvgIcon-141865d4.js';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../_commonjsHelpers-41cdd1e7.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../withStyles-6a29793a.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../Typography-cbcc1b4d.js';
import '../../extendSxProp-f37d7304.js';
import '../../Grid-f6c53e5a.js';
import '../../requirePropFactory-762b28b9.js';
import '../../Popover-16e53fc0.js';
import '../../ownerDocument-08286491.js';
import '../../isHostComponent-7b82e20e.js';
import '../../ownerWindow-511cbe55.js';
import '../../Grow-144e5c05.js';
import 'react-dom';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';
import '../../Button-05f9d041.js';
import '../../ButtonBase-fe35ba23.js';
import '../../emotion-react.esm-10db94ea.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../InputAdornment-081652f9.js';
import '../../FormControlContext-3e99c910.js';
import '../../TextField-41fe2395.js';
import '../../FormHelperText-9aa7662f.js';
import '../../utils-a2178b2f.js';
import '../../useFormControl-5a78d430.js';
import '../../InputLabel-dec1cb11.js';
import '../../Input-505624cb.js';
import '../../InputBase-ac030ecb.js';
import '../../createSvgIcon-08f23b3f.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../makePickerWithState-5832a9db.js';
import '../../Popper-2961f154.js';

var css_248z = ".Filter-module_yearPicker__32qUB > div {\n  width: 100%; }\n\n.Filter-module_yearPicker__32qUB button {\n  padding: 0;\n  margin: 0; }\n\n.Filter-module_yearPicker__32qUB svg {\n  width: 20px; }\n\n.Filter-module_yearPicker__32qUB path {\n  color: var(--color-primary-light); }\n\n.Filter-module_buttonYearFilter__5bzNk {\n  min-width: 40px;\n  display: flex; }\n  .Filter-module_buttonYearFilter__5bzNk > div {\n    height: auto;\n    margin: 0; }\n";
var styles = {"yearPicker":"Filter-module_yearPicker__32qUB","buttonYearFilter":"Filter-module_buttonYearFilter__5bzNk"};
styleInject(css_248z);

var YearFilter = function (props) {
    var filterValue = props.filterValue, setFilter = props.setFilter;
    var yearFilterValue = filterValue === undefined
        ? null
        : getDatabaseFormatType(filterValue, 'YYYY');
    var _a = React.useState(yearFilterValue), year = _a[0], setYear = _a[1];
    function cancelTimePicker() {
        setYear(null);
        setFilter(null);
    }
    useEffect(function () {
        if (!filterValue) {
            setYear(null);
        }
    }, [filterValue]);
    return (jsx("div", __assign({ className: styles.yearPicker }, { children: jsx(DatePicker, { views: ['year'], label: "Year", value: year, onChange: function (newValueYear) {
                setYear(getDatabaseFormatType(newValueYear, 'YYYY'));
                setFilter(getDatabaseFormatType(newValueYear, 'YYYY'));
            }, renderInput: function (props) {
                var _a;
                return (jsx(AppTextField, __assign({}, props, { InputProps: __assign(__assign({}, props.InputProps), { inputProps: __assign(__assign({}, ((props === null || props === void 0 ? void 0 : props.inputProps) || {})), { placeholder: 'YYYY', disabled: true }), endAdornment: (jsxs("div", __assign({ className: styles.buttonYearFilter }, { children: [jsx(IconButton, __assign({ size: "small", onClick: function () { return cancelTimePicker(); } }, { children: jsx(ClearIcon, { color: "primary", fontSize: "small" }, void 0) }), void 0),
                                (_a = props.InputProps) === null || _a === void 0 ? void 0 : _a.endAdornment] }), void 0)) }), helperText: false }), void 0));
            } }, void 0) }), void 0));
};
var YearFilter$1 = React.memo(YearFilter);

export default YearFilter$1;
//# sourceMappingURL=YearFilter.js.map
