import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { g as getDefaultExportFromCjs, c as createCommonjsModule } from '../../_commonjsHelpers-41cdd1e7.js';
import { i as interopRequireWildcard, a as interopRequireDefault, c as createSvgIcon } from '../../createSvgIcon-08f23b3f.js';
import React from 'react';
import { K as KeyboardArrowRightIcon } from '../../KeyboardArrowRight-48df2583.js';
import { m as makeStyles } from '../../makeStyles-5b784462.js';
import { t as useTheme } from '../../experimentalStyled-9a0c9477.js';
import { I as IconButton } from '../../IconButton-ccfdb4cc.js';
import '../../createSvgIcon-141865d4.js';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../clsx.m-6243b874.js';
import '../../ownerWindow-511cbe55.js';
import '../../ownerDocument-08286491.js';
import '../../requirePropFactory-762b28b9.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../ButtonBase-fe35ba23.js';
import '../../emotion-react.esm-10db94ea.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';

var FirstPage = createCommonjsModule(function (module, exports) {





Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React$1 = interopRequireWildcard(React);

var _createSvgIcon = interopRequireDefault(createSvgIcon);

var _default = (0, _createSvgIcon.default)( /*#__PURE__*/React$1.createElement("path", {
  d: "M18.41 16.59L13.82 12l4.59-4.59L17 6l-6 6 6 6zM6 6h2v12H6z"
}), 'FirstPage');

exports.default = _default;
});

var FirstPageIcon = /*@__PURE__*/getDefaultExportFromCjs(FirstPage);

var KeyboardArrowLeft = createCommonjsModule(function (module, exports) {





Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React$1 = interopRequireWildcard(React);

var _createSvgIcon = interopRequireDefault(createSvgIcon);

var _default = (0, _createSvgIcon.default)( /*#__PURE__*/React$1.createElement("path", {
  d: "M15.41 16.59L10.83 12l4.58-4.59L14 6l-6 6 6 6 1.41-1.41z"
}), 'KeyboardArrowLeft');

exports.default = _default;
});

var KeyboardArrowLeft$1 = /*@__PURE__*/getDefaultExportFromCjs(KeyboardArrowLeft);

var LastPage = createCommonjsModule(function (module, exports) {





Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React$1 = interopRequireWildcard(React);

var _createSvgIcon = interopRequireDefault(createSvgIcon);

var _default = (0, _createSvgIcon.default)( /*#__PURE__*/React$1.createElement("path", {
  d: "M5.59 7.41L10.18 12l-4.59 4.59L7 18l6-6-6-6zM16 6h2v12h-2z"
}), 'LastPage');

exports.default = _default;
});

var LastPageIcon = /*@__PURE__*/getDefaultExportFromCjs(LastPage);

var useStyles = makeStyles(function (theme) { return ({
    root: {
        flexShrink: 0,
        marginLeft: '10px',
    },
    button: {
        padding: 0,
    },
}); });
var TablePaginationActions = function (props) {
    var classes = useStyles();
    var theme = useTheme();
    var count = props.count, page = props.page, rowsPerPage = props.rowsPerPage, onPageChange = props.onPageChange;
    var handleFirstPageButtonClick = function (event) {
        onPageChange(event, 0);
    };
    var handleBackButtonClick = function (event) {
        onPageChange(event, page - 1);
    };
    var handleNextButtonClick = function (event) {
        onPageChange(event, page + 1);
    };
    var handleLastPageButtonClick = function (event) {
        onPageChange(event, Math.max(0, Math.ceil(count / rowsPerPage) - 1));
    };
    return (jsxs("div", __assign({ className: classes.root }, { children: [jsx(IconButton, __assign({ onClick: handleFirstPageButtonClick, className: classes.button, disabled: page === 0, "aria-label": "first page" }, { children: theme.direction === 'rtl' ? jsx(LastPageIcon, {}, void 0) : jsx(FirstPageIcon, {}, void 0) }), void 0),
            jsx(IconButton, __assign({ className: classes.button, onClick: handleBackButtonClick, disabled: page === 0, "aria-label": "previous page" }, { children: theme.direction === 'rtl' ? (jsx(KeyboardArrowRightIcon, {}, void 0)) : (jsx(KeyboardArrowLeft$1, {}, void 0)) }), void 0),
            jsx(IconButton, __assign({ onClick: handleNextButtonClick, className: classes.button, disabled: page >= Math.ceil(count / rowsPerPage) - 1, "aria-label": "next page" }, { children: theme.direction === 'rtl' ? (jsx(KeyboardArrowLeft$1, {}, void 0)) : (jsx(KeyboardArrowRightIcon, {}, void 0)) }), void 0),
            jsx(IconButton, __assign({ onClick: handleLastPageButtonClick, disabled: page >= Math.ceil(count / rowsPerPage) - 1, className: classes.button, "aria-label": "last page" }, { children: theme.direction === 'rtl' ? jsx(FirstPageIcon, {}, void 0) : jsx(LastPageIcon, {}, void 0) }), void 0)] }), void 0));
};

export default TablePaginationActions;
//# sourceMappingURL=TablePaginationActions.js.map
