import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import React, { useState, Fragment } from 'react';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import { g as getDefaultExportFromCjs, c as createCommonjsModule } from '../../_commonjsHelpers-41cdd1e7.js';
import { i as interopRequireWildcard, a as interopRequireDefault, c as createSvgIcon } from '../../createSvgIcon-08f23b3f.js';
import { TableActionMenuProvider } from './TableActionMenuContext.js';
import { c as clsx } from '../../clsx.m-6243b874.js';
import { a as Popover } from '../../Popover-16e53fc0.js';
import '../../style-inject.es-1f59c1d0.js';
import '../../createSvgIcon-141865d4.js';
import '../../extends-e61fd370.js';
import '../../objectWithoutPropertiesLoose-6856ddd5.js';
import '../../index-df27ca20.js';
import '../../experimentalStyled-9a0c9477.js';
import '../../ownerWindow-511cbe55.js';
import '../../ownerDocument-08286491.js';
import '../../requirePropFactory-762b28b9.js';
import '../../useId-9539b538.js';
import '../../unsupportedProp-90079dce.js';
import '../../useIsFocusVisible-7eb97459.js';
import '../../withStyles-6a29793a.js';
import '../../hoist-non-react-statics.cjs-887936b4.js';
import '../../makeStyles-3f0becbd.js';
import '../../tiny-warning.esm-9caf1e37.js';
import '../../toConsumableArray-14d095fd.js';
import '../../inheritsLoose-8d9312ec.js';
import '../../setPrototypeOf-38804714.js';
import '../../assertThisInitialized-d8516fd7.js';
import '../../exactProp-2b7ae831.js';
import '../../refType-2daf2908.js';
import '../../isHostComponent-7b82e20e.js';
import '../../Grow-144e5c05.js';
import 'react-dom';
import '../../TransitionGroupContext-99ee4842.js';
import '../../elementTypeAcceptingRef-58d95132.js';

var DoneAll = createCommonjsModule(function (module, exports) {





Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React$1 = interopRequireWildcard(React);

var _createSvgIcon = interopRequireDefault(createSvgIcon);

var _default = (0, _createSvgIcon.default)( /*#__PURE__*/React$1.createElement("path", {
  d: "M18 7l-1.41-1.41-6.34 6.34 1.41 1.41L18 7zm4.24-1.41L11.66 16.17 7.48 12l-1.41 1.41L11.66 19l12-12-1.42-1.41zM.41 13.41L6 19l1.41-1.41L1.83 12 .41 13.41z"
}), 'DoneAll');

exports.default = _default;
});

var AppActionIcon = /*@__PURE__*/getDefaultExportFromCjs(DoneAll);

var TableActionBtn = function (props) {
    var _a = React.useState(null), anchorEl = _a[0], setAnchorEl = _a[1];
    var _b = useState(false), hidden = _b[0], setHidden = _b[1];
    var handleClick = function (event) {
        setAnchorEl(event.currentTarget);
        setHidden(false);
    };
    var handleHidden = function () {
        setHidden(true);
    };
    var handleClose = function () {
        setAnchorEl(null);
    };
    var open = Boolean(anchorEl);
    return (jsxs(Fragment, { children: [jsxs("span", __assign({ className: styles.action, onClick: handleClick }, { children: [jsx(AppActionIcon, { className: styles.iconAction }, void 0),
                    jsx("span", { children: "ACTIONS" }, void 0)] }), void 0),
            jsx(Popover, __assign({ className: clsx(hidden && 'hidden'), open: open, anchorEl: anchorEl, onClose: handleClose, anchorOrigin: {
                    vertical: 'bottom',
                    horizontal: 'left',
                }, transformOrigin: {
                    vertical: 'top',
                    horizontal: 'left',
                } }, { children: jsx("div", { children: jsx(TableActionMenuProvider, __assign({ value: {
                            handleClose: handleHidden,
                            close: open,
                        } }, { children: props.children }), void 0) }, void 0) }), void 0)] }, void 0));
};

export default TableActionBtn;
//# sourceMappingURL=TableActionBtn.js.map
