import { Hooks } from 'react-table';
interface Column {
    Header: any;
    columns?: Column[];
    getHeaderProps: () => {
        style: object;
    };
    id: string | number;
    parent?: Column;
    sticky?: 'left' | 'right';
    totalLeft: number;
}
export declare const checkErrors: (columns: Column[]) => void;
export declare function getStickyValue(column: Column): null | 'left' | 'right';
export declare function columnIsLastLeftSticky(columnId: Column['id'], columns: any): boolean;
export declare function columnIsFirstRightSticky(columnId: Column['id'], columns: any): boolean;
export declare function getMarginRight(columnId: Column['id'], columns: any): number;
export declare const useSticky: {
    (hooks: Hooks<any>): void;
    pluginName: string;
};
export {};
