import { w as withStyles } from '../withStyles-6a29793a.js';
import { c as createStyles } from '../createStyles-8be7b6b1.js';
import { S as Switch } from '../Switch-a4104b54.js';
import '../extends-e61fd370.js';
import '../experimentalStyled-9a0c9477.js';
import 'react';
import '../objectWithoutPropertiesLoose-6856ddd5.js';
import '../index-df27ca20.js';
import '../_commonjsHelpers-41cdd1e7.js';
import '../hoist-non-react-statics.cjs-887936b4.js';
import '../makeStyles-3f0becbd.js';
import '../tiny-warning.esm-9caf1e37.js';
import '../toConsumableArray-14d095fd.js';
import '../inheritsLoose-8d9312ec.js';
import '../setPrototypeOf-38804714.js';
import '../assertThisInitialized-d8516fd7.js';
import '../exactProp-2b7ae831.js';
import '../refType-2daf2908.js';
import '../clsx.m-6243b874.js';
import '../SwitchBase-1231cda4.js';
import '../useFormControl-5a78d430.js';
import '../FormControlContext-3e99c910.js';
import '../IconButton-ccfdb4cc.js';
import '../ButtonBase-fe35ba23.js';
import '../emotion-react.esm-10db94ea.js';
import '../TransitionGroupContext-99ee4842.js';
import '../elementTypeAcceptingRef-58d95132.js';
import '../useIsFocusVisible-7eb97459.js';

var AntSwitch = withStyles(function (theme) {
    return createStyles({
        root: {
            width: 32,
            height: 16,
            padding: 0,
            display: 'flex',
        },
        switchBase: {
            padding: 2,
            color: '#75C5B6',
            '& + $track': {
                opacity: 1,
                backgroundColor: theme.palette.common.white,
                borderColor: theme.palette.primary.main,
            },
            '&$checked': {
                color: '#75C5B6',
                transform: 'translateX(15px)',
                '& + $track': {
                    opacity: 1,
                    backgroundColor: theme.palette.common.white,
                    borderColor: theme.palette.primary.main,
                },
            },
        },
        thumb: {
            width: 12,
            height: 12,
            boxShadow: 'none',
        },
        track: {
            border: "1px solid " + theme.palette.grey[500],
            borderRadius: 16 / 2,
            opacity: 1,
            backgroundColor: theme.palette.common.white,
        },
        checked: {},
    });
})(Switch);

export default AntSwitch;
//# sourceMappingURL=AntSwitch.js.map
